oracle.xml.xquery

## Interface OXQStackTraceVariable

    public interface OXQStackTraceVariable

Provides information about a variable binding in addition to what is provided by `XQStackTraceVariable`.

Since:
  12.1
See Also:
  `OXQStackTraceElement`

### Field Summary

Fields
`static javax.xml.namespace.QName` `CONTEXT_ITEM` The name of the variable bound to the context item.
`static javax.xml.namespace.QName` `CONTEXT_POSITION` The name of the variable bound to the context position.
`static javax.xml.namespace.QName` `CONTEXT_SEQUENCE` The name of the variable bound to the context sequence.
`static javax.xml.namespace.QName` `CONTEXT_SIZE` The name of the variable bound to the context size.
`static javax.xml.namespace.QName` `RETURN_VAR` The name of the variable bound to the result of a function or main module query body.
`static java.lang.String` `XML_NS_OXQ_VARIABLE` The namespace for the names of non-user variables.

### Method Summary

All Methods Instance Methods Abstract Methods
`XQSequence` `getValueSequence()` Gets the value bound to the variable.
`XQStackTraceVariable` `getXQView()` Returns the `XQStackTraceVariable` instance corresponding to this instance.
`void` `setValueSequence(XQSequence value)` Binds the variable to the specified value.

### Field Detail

#### XML_NS_OXQ_VARIABLE

    static final java.lang.String XML_NS_OXQ_VARIABLE

The namespace for the names of non-user variables. For example, `CONTEXT_POSITION`.

#### CONTEXT_ITEM

    static final javax.xml.namespace.QName CONTEXT_ITEM

The name of the variable bound to the context item.

See Also:
  http://www.w3.org/TR/xquery/#dt-dynamic-context

#### CONTEXT_POSITION

    static final javax.xml.namespace.QName CONTEXT_POSITION

The name of the variable bound to the context position.

See Also:
  http://www.w3.org/TR/xquery/#dt-dynamic-context

#### CONTEXT_SIZE

    static final javax.xml.namespace.QName CONTEXT_SIZE

The name of the variable bound to the context size.

See Also:
  http://www.w3.org/TR/xquery/#dt-dynamic-context

#### CONTEXT_SEQUENCE

    static final javax.xml.namespace.QName CONTEXT_SEQUENCE

The name of the variable bound to the context sequence.

See Also:
  http://www.w3.org/TR/xquery/#dt-dynamic-context

#### RETURN_VAR

    static final javax.xml.namespace.QName RETURN_VAR

The name of the variable bound to the result of a function or main module query body. This is used to show intermediate results while debugging. Note, intermediate results are only available for certain types of queries.

### Method Detail

#### getXQView

    XQStackTraceVariable getXQView()

Returns the `XQStackTraceVariable` instance corresponding to this instance.

Returns:
  the variable

#### getValueSequence

    XQSequence getValueSequence()

Gets the value bound to the variable.

Returns:
  the value bound to the variable

#### setValueSequence

    void setValueSequence(XQSequence value)
                   throws XQException

Binds the variable to the specified value.

Parameters:
  `value` - the value that will be bound to the variable. May not be `null`
Throws:
  `XQException`

Copyright © 2003, 2020, Oracle and/or its affiliates.